package com.iamberry.wechat.core.entity.qrcode;

import java.io.Serializable;
import java.util.Date;

/**
 * @author 何秀刚
 * Class Description: 微信永久二维码实体类
 * Create Date:2016年4月18日
 * Update Date:2016年4月18日
 */
public class Qrcode implements Serializable {
	
	private static final long serialVersionUID = -3488947213803695056L;
	
	private Integer qrcodeId; // ID
	
	private Integer qrcodeType;// 类型,1:微代理,2:线下代理商
	
	private String qrcodeOpenid; // 创建人openid
	
	private String qrcodeReplaceOpenid; // 正在使用的人openid
	
	private Date qrcodeCreateDate; // 创建时间
	
	private String qrcodeUrl; // 连接
	
	private Integer qrcodeStatus; // 状态，1：二维码空余；2：正在使用
	
	private Integer qrcodeScannNum; // 扫描次数
	
	private Integer qrcodeSubNum; // 通过此关注人数
	
	private String qrcodeValue; // 场景值

	public String getQrcodeValue() {
		return qrcodeValue;
	}

	public void setQrcodeValue(String qrcodeValue) {
		this.qrcodeValue = qrcodeValue;
	}

	public Integer getQrcodeId() {
		return qrcodeId;
	}

	public void setQrcodeId(Integer qrcodeId) {
		this.qrcodeId = qrcodeId;
	}

	public Integer getQrcodeType() {
		return qrcodeType;
	}

	public void setQrcodeType(Integer qrcodeType) {
		this.qrcodeType = qrcodeType;
	}

	public String getQrcodeOpenid() {
		return qrcodeOpenid;
	}

	public void setQrcodeOpenid(String qrcodeOpenid) {
		this.qrcodeOpenid = qrcodeOpenid;
	}

	public String getQrcodeReplaceOpenid() {
		return qrcodeReplaceOpenid;
	}

	public void setQrcodeReplaceOpenid(String qrcodeReplaceOpenid) {
		this.qrcodeReplaceOpenid = qrcodeReplaceOpenid;
	}

	public Date getQrcodeCreateDate() {
		return qrcodeCreateDate;
	}

	public void setQrcodeCreateDate(Date qrcodeCreateDate) {
		this.qrcodeCreateDate = qrcodeCreateDate;
	}

	public String getQrcodeUrl() {
		return qrcodeUrl;
	}

	public void setQrcodeUrl(String qrcodeUrl) {
		this.qrcodeUrl = qrcodeUrl;
	}

	public Integer getQrcodeStatus() {
		return qrcodeStatus;
	}

	public void setQrcodeStatus(Integer qrcodeStatus) {
		this.qrcodeStatus = qrcodeStatus;
	}

	public Integer getQrcodeScannNum() {
		return qrcodeScannNum;
	}

	public void setQrcodeScannNum(Integer qrcodeScannNum) {
		this.qrcodeScannNum = qrcodeScannNum;
	}

	public Integer getQrcodeSubNum() {
		return qrcodeSubNum;
	}

	public void setQrcodeSubNum(Integer qrcodeSubNum) {
		this.qrcodeSubNum = qrcodeSubNum;
	}

	public static long getSerialversionuid() {
		return serialVersionUID;
	}

	@Override
	public String toString() {
		return "Qrcode [qrcodeId=" + qrcodeId + ", qrcodeType=" + qrcodeType
				+ ", qrcodeOpenid=" + qrcodeOpenid + ", qrcodeReplaceOpenid="
				+ qrcodeReplaceOpenid + ", qrcodeCreateDate="
				+ qrcodeCreateDate + ", qrcodeUrl=" + qrcodeUrl
				+ ", qrcodeStatus=" + qrcodeStatus + ", qrcodeScannNum="
				+ qrcodeScannNum + ", qrcodeSubNum=" + qrcodeSubNum
				+ ", qrcodeValue=" + qrcodeValue + "]";
	}
}
